<div class="invisible-container personalizedContainer" *ngIf="dataLoaded | async else loading">
	<!-- DISPLAY THE HEADLINES ON BIG SCREENS -->
	<div class="hide_on_small_screen flex-container">
		<app-headline *ngIf="dataLoaded | async" [number]="numbersTotalSales" [title]="titleTotalSales" class="col-4"></app-headline>
		<app-headline *ngIf="dataLoaded | async" [number]="numbersForecast" [title]="titleForecast" class="col-4"></app-headline>
		<app-headline *ngIf="dataLoaded | async" [number]="numbersTotalItems" [title]="titleTotalItems" class="col-4"></app-headline>
	</div> 

	<!-- DISPLAY THE HEADLINES ON SMALL SCREENS -->
	<div class="hide_on_big_screen personalizedContainer">
		<div *ngIf="dataLoaded | async" id="myowncarousel" class="justify-content-center carousel slide personalizedContainer" data-ride="carousel">
			<ol class="carousel-indicators">
				<li data-target="#myowncarousel" data-slide-to="0" class="active"></li>
				<li data-target="#myowncarousel" data-slide-to="1"></li>
				<li data-target="#myowncarousel" data-slide-to="2"></li>
			</ol>
			<div class="carousel-inner">
				<div class="carousel-item item active">
					<app-headline [number]="numbersTotalSales" [title]="titleTotalSales"></app-headline>
				</div>
				<div class="carousel-item item">
					<app-headline [number]="numbersForecast" [title]="titleForecast"></app-headline>
				</div>
				<div class="carousel-item item">
					<app-headline [number]="numbersTotalItems" [title]="titleTotalItems"></app-headline>
				</div>
			</div>
			<a class="carousel-control-prev" href="#myowncarousel" role="button" data-slide="prev">
				<span class="glyphicon glyphicon-chevron-left"></span>
				<span class="sr-only">Previous</span>
			</a>
			<a class="carousel-control-next" href="#myowncarousel" role="button" data-slide="next">
				<span class="glyphicon glyphicon-chevron-right"></span>
				<span class="sr-only">Next</span>
			</a>
		</div>
	</div>


	<div class="personalizedContainer charts-container">
		<app-map *ngIf="dataLoaded | async" [customers]="customers" class="col-5" (selectedCustomer)="customerChangedHandler($event)"></app-map>
		<app-charts *ngIf="dataLoaded | async" [title]="titleOpportunitiesYTD" [countries]="opportunitiesYTD" class="col-5"></app-charts>
		<app-charts *ngIf="dataLoaded | async" [title]="chartTitle2" [countries]="opportunitiesYTD" class="col-5"></app-charts>
		<app-charts *ngIf="dataLoaded | async" [title]="chartTitle3" [countries]="opportunitiesYTD" class="col-5"></app-charts>
	</div>
</div>

<ng-template  #loading>
  <div class="loading-container">
    <div class="row">
      <div id="loader">
        <div class="dot"></div>
        <div class="dot"></div>
        <div class="dot"></div>
        <div class="dot"></div>
        <div class="dot"></div>
        <div class="dot"></div>
        <div class="dot"></div>
        <div class="dot"></div>
        <div class="loading"></div>
      </div>
    </div>
  </div>
</ng-template>
